Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1655700 - python3-yarg owns /usr/lib/python3.7/site-packages/tests/...
Summary: python3-yarg owns /usr/lib/python3.7/site-packages/tests/...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-yarg
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dhanesh B. Sabane
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-03 17:56 UTC by Miro Hrončok
Modified: 2019-05-20 12:06 UTC (History)
5 users (show)

Fixed In Version: python-yarg-0.1.9-4.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-20 12:06:56 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1652091 0 unspecified CLOSED Update pipenv to 2018.11.14 2021-02-22 00:41:40 UTC

Internal Links: 1652091

Description Miro Hrončok 2018-12-03 17:56:33 UTC
The tests of python3-yarg are conflicting with tests of other packages.

As a quick fix, remove that folder. Long term, work with upstream to do either of following:

 A. don't install the tests package
 B. move the tests package into the yarn package

Error: Transaction check error:
  file /usr/lib/python3.7/site-packages/tests/__pycache__/__init__.cpython-37.opt-1.pyc conflicts between attempted installs of python3-oauth2-1.9.0-10.post1.fc29.noarch and python3-yarg-0.1.9-3.fc29.noarch
  file /usr/lib/python3.7/site-packages/tests/__pycache__/__init__.cpython-37.pyc conflicts between attempted installs of python3-oauth2-1.9.0-10.post1.fc29.noarch and python3-yarg-0.1.9-3.fc29.noarch

Comment 1 Miro Hrončok 2018-12-03 18:01:36 UTC
s/yarn/yarg/

Comment 2 Juan A. Burgos 2018-12-07 23:15:53 UTC
"%exclude %{python3_sitelib}/tests"  in SPEC file will do the trick.

Comment 3 Miro Hrončok 2019-01-12 16:53:02 UTC
Dhanesh, are you available? i can co-maintain the package with you if you like.

Comment 4 Dhanesh B. Sabane 2019-01-13 04:37:23 UTC
Hello Miro,

(In reply to Miro Hrončok from comment #3)
> Dhanesh, are you available? 

Thanks for waiting up on me. I'll fix this in a couple of days and notify here.

> i can co-maintain the package with you if you like.

That'll be great. On second thought, can we get someone who is looking to contribute to Fedora Packaging as a co-maintainer for this?

Comment 5 Dhanesh B. Sabane 2019-01-13 09:42:55 UTC
Hello Miro and Juan,

(In reply to Juan A. Burgos from comment #2)
> "%exclude %{python3_sitelib}/tests"  in SPEC file will do the trick.

Thanks Juan for the tip.

I've added the line in the spec file for the f29[1] and master[2] branches. The fedpkg builds against f29[3] and rawhide[4] are completing successfully.

Shall I go ahead and submit an update?

[1] https://src.fedoraproject.org/rpms/python-yarg/c/47afa5e6b913b3a5203c59c48bc14cc9c2849f02?branch=f29
[2] https://src.fedoraproject.org/rpms/python-yarg/c/47afa5e6b913b3a5203c59c48bc14cc9c2849f02?branch=master
[3] https://koji.fedoraproject.org/koji/buildinfo?buildID=1179117
[4] https://koji.fedoraproject.org/koji/buildinfo?buildID=1179118

Comment 6 Miro Hrončok 2019-01-13 10:20:56 UTC
> Shall I go ahead and submit an update?

Thanks. Please do.

> On second thought, can we get someone who is looking to contribute to Fedora Packaging as a co-maintainer for this?

Patrik is (cced), I am working on sponsoring him. I he'd be interested, you can hook him in after he gets sponsored.

---

On a side note, could you please add the python-sig group to the package? yarg is used by pipenv now. Thanks.

Comment 7 Fedora Update System 2019-01-13 10:45:03 UTC
python-yarg-0.1.9-4.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-66b092cf2c

Comment 8 Dhanesh B. Sabane 2019-01-13 10:50:36 UTC
(In reply to Miro Hrončok from comment #6)
> > Shall I go ahead and submit an update?
> 
> Thanks. Please do.
> 

Done. [1]

> > On second thought, can we get someone who is looking to contribute to Fedora Packaging as a co-maintainer for this?
> 
> Patrik is (cced), I am working on sponsoring him. I he'd be interested, you
> can hook him in after he gets sponsored.
> 

Sounds good!

> On a side note, could you please add the python-sig group to the package?
> yarg is used by pipenv now. Thanks.

I've added the group with commit access. Is that fine or shall I elevate the access to admin level?

[1] https://bodhi.fedoraproject.org/updates/FEDORA-2019-66b092cf2c

Comment 9 Miro Hrončok 2019-01-13 11:11:17 UTC
> I've added the group with commit access. 

Splendid :)

> Is that fine or shall I elevate the access to admin level?

That fine.

Comment 10 Fedora Update System 2019-01-14 03:02:42 UTC
python-yarg-0.1.9-4.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-66b092cf2c

Comment 11 Fedora Update System 2019-05-20 12:06:56 UTC
python-yarg-0.1.9-4.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.